Bug 32095 - Remove bullets from statuses in inventory tool
Summary: Remove bullets from statuses in inventory tool
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Matt Blenkinsop
QA Contact: Testopia
URL:
Keywords:
Depends on: 30952
Blocks:
  Show dependency treegraph
 
Reported: 2022-11-03 14:43 UTC by Caroline Cyr La Rose
Modified: 2023-01-26 02:43 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.02


Attachments
Inventory tool in old design (83.04 KB, image/png)
2022-11-03 14:44 UTC, Caroline Cyr La Rose
Details
Inventory tool in new design (108.00 KB, image/png)
2022-11-03 14:45 UTC, Caroline Cyr La Rose
Details
Bug 32095: Remove bullets from inventory tool status (1.74 KB, patch)
2022-11-30 11:23 UTC, Matt Blenkinsop
Details | Diff | Splinter Review
Bug 32095: Remove bullets from inventory tool status (1.77 KB, patch)
2022-11-30 23:24 UTC, David Nind
Details | Diff | Splinter Review
Bug 32095: Remove bullets from inventory tool status (1.83 KB, patch)
2022-12-16 19:03 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2022-11-03 14:43:49 UTC
I was just redoing some screenshots for the inventory tool and I noticed that in the new design, statuses have bullet points next to them. I'm not sure this is necessary, especially that the list items are right aligned, it looks a bit weird with the bullets...

Cataloging > Inventory > Optional filters for inventory list or comparing barcodes
Comment 1 Caroline Cyr La Rose 2022-11-03 14:44:37 UTC
Created attachment 143122 [details]
Inventory tool in old design

This is the screenshot in the manual currently, for comparison
Comment 2 Caroline Cyr La Rose 2022-11-03 14:45:35 UTC
Created attachment 143123 [details]
Inventory tool in new design

This is a screenshot of the current inventory tool in the new design. Notice the bullet points next to the item statuses
Comment 3 Matt Blenkinsop 2022-11-30 11:23:42 UTC
Created attachment 144344 [details] [review]
Bug 32095: Remove bullets from inventory tool status

The new design included bullet points in a list where the elements were aligned to the right. The bullets have now been removed using "list-style: none;" to make the styling much cleaner.

Test plan:
1) Navigate to Cataloging > Inventory
2) Observe that in the "Optional filters for inventory list or comparing barcodes" section there are bullet points in the listed items
3) Apply patch
4) Navigate to the same window and observe that the bullet points are now missing
Comment 4 David Nind 2022-11-30 23:24:00 UTC
Created attachment 144367 [details] [review]
Bug 32095: Remove bullets from inventory tool status

The new design included bullet points in a list where the elements were aligned to the right. The bullets have now been removed using "list-style: none;" to make the styling much cleaner.

Test plan:
1) Navigate to Cataloging > Inventory
2) Observe that in the "Optional filters for inventory list or comparing barcodes" section there are bullet points in the listed items
3) Apply patch
4) Navigate to the same window and observe that the bullet points are now missing

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Kyle M Hall 2022-12-16 19:03:22 UTC
Created attachment 144704 [details] [review]
Bug 32095: Remove bullets from inventory tool status

The new design included bullet points in a list where the elements were aligned to the right. The bullets have now been removed using "list-style: none;" to make the styling much cleaner.

Test plan:
1) Navigate to Cataloging > Inventory
2) Observe that in the "Optional filters for inventory list or comparing barcodes" section there are bullet points in the listed items
3) Apply patch
4) Navigate to the same window and observe that the bullet points are now missing

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Tomás Cohen Arazi 2022-12-27 14:09:16 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 7 Jacob O'Mara 2023-01-13 11:55:20 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.
Comment 8 Fridolin Somers 2023-01-26 02:43:37 UTC
Oh strange, this page has several CSS rules directly inside HTML.
We should consider moving to a <style> tag or to staff-global.css